<template>
  <section class="AppScoreSysUser">
    <component :is="currentPage" v-bind="$props"/>
  </section>
</template>

<script>

import SsuList from "./ssuList";
import SsuDetail from "./ssuDetail";

export default {
  name: "AppScoreSysUser",
  label: "员工积分",
  components: {SsuDetail, SsuList},
  props: {
    instance: Function,
    dict: Object,
    permissions: Function
  },
  computed: {
    currentPage() {
      return this.$route.query.id ? SsuDetail : SsuList
    }
  },
  created() {
    this.dict.load("yesOrNo", "integralGiveObjType")
  }
}
</script>

<style lang="scss" scoped>
.AppScoreSysUser {
  height: 100%;
}
</style>
